cgGetNamedStateAssignment(3)

NAME
cgGetNamedStateAssignment - get a pass state assignment by name

SYNOPSIS
  #include <Cg/cg.h>
  CGstateassignment cgGetNamedStateAssignment( CGpass pass,
                                               const char * name );

PARAMETERS

pass
    The pass from which to retrieve the state assignment.

name
    The name of the state assignment to retrieve.

RETURN VALUES
Returns the named state assignment from the pass.

Returns NULL if the pass has no state assignment corresponding to name.

DESCRIPTION
The state assignments of a pass can be retrieved directly by name using cgGetNamedStateAssignment. The names of the state assignments in a pass can be discovered by iterating through the pass's state assignments (see the cgGetFirstStateAssignment manpage and the cgGetNextStateAssignment manpage), calling the cgGetStateAssignmentName manpage for each one in turn.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

HISTORY
cgGetNamedStateAssignment was introduced in Cg 1.4.

SEE ALSO
the cgIsStateAssignment manpage, the cgGetFirstStateAssignment manpage, the cgGetNextStateAssignment manpage, the cgGetStateAssignmentName manpage